<div class="text-layout">
    <h1>Pipes Básicos</h1>
    <p>Pipes incluidos en Angular - Usualmente en el common module</p>
</div>

<div class="p-grid">
    <div class="p-col-4">
        <p-card header="uppercase" [subheader]="nombreLower | uppercase">
            {{ nombreLower | uppercase }}
        </p-card>
    </div>
    <div class="p-col-4">
        <p-card header="lowercase" [subheader]="nombreLower | lowercase">
            {{ nombreLower | lowercase }}
        </p-card>
    </div>
    <div class="p-col-4">
        <p-card header="titlecase" [subheader]="nombreCompleto | titlecase">
            {{ nombreCompleto | titlecase }}
        </p-card>
    </div>
</div>

<div class="text-layout">
    <h1>Date | fecha | Pipe</h1>
    <p>Pipe para mostrar las fechas</p>
</div>

<div class="p-grid">
    <div class="p-col-6">
        <p-card>
            <ul>
                <li>fecha</li>
                <li>fecha | date</li>
                <li>fecha|date:'short'</li>
                <li>fecha|date:'long'</li>
                <li>fecha|date:'MMMM'</li>
                <li>fecha|date:'MMMM dd, yyyy'</li>
            </ul>
            <hr>

            <ul>
                <li>fecha | date: "long":'GMT-6'</li>
                <li>fecha | date: "long":'GMT-4'</li>
                <li>fecha | date: "long":'':'en'</li>
            </ul>
        </p-card>
    </div>
    <div class="p-col-6">
        <p-card>
            <ul>
                <li>{{ fecha }}</li>
                <li>{{ fecha | date }}</li>
                <li>{{ fecha | date: "short" }}</li>
                <li>{{ fecha | date: "long" }}</li>
                <li>{{ fecha | date: "MMMM" }}</li>
                <li>{{ fecha | date: "MMMM dd, yyyy" }}</li>
            </ul>

            <hr>

            <ul>
                <li>{{ fecha | date: "long":'GMT-6':'es-HN' }}</li>
                <li>{{ fecha | date: "long":'GMT-4' }}</li>
                <li>{{ fecha | date: "long":'':'en' }}</li>
            </ul>
        </p-card>
    </div>
</div>
